Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1685343 - openstack-nova-compute-14.1.0-35 breaks block live-migration
Summary: openstack-nova-compute-14.1.0-35 breaks block live-migration
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: z11
: 10.0 (Newton)
Assignee: Sylvain Bauza
QA Contact: nova-maint
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-05 02:07 UTC by Anil Dhingra
Modified: 2019-04-15 10:36 UTC (History)
10 users (show)

Fixed In Version: openstack-nova-14.1.0-42.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1770640 None None None 2019-03-05 02:11:22 UTC

Description Anil Dhingra 2019-03-05 02:07:41 UTC
Description of problem:
fter upgrading to openstack-nova-compute-14.1.0-35.el7ost.noarch,  "openstack server migrate  --block-migration --live" breaks with the following errors on the source nova host,

openstack server migrate --block-migration --live xxx-b-nova02-002.cisco.com 093c5e4d-1b35-4a57-ba64-446217e32466 

2019-02-23 05:53:39.063 120405 ERROR nova.virt.libvirt.driver [req-d2e088ae-4018-487e-a189-d66612019604 90750b2792fc48228d03a85c5eb26a10 3dac4d45fcba4d6590aa8afb98a0c73b - - -] [instance: 093c5e4d-1b35-4a57-ba64-446217e32466] Migration operation has aborted 
2019-02-23 05:53:39.290 120405 ERROR nova.virt.libvirt.driver [req-d2e088ae-4018-487e-a189-d66612019604 90750b2792fc48228d03a85c5eb26a10 3dac4d45fcba4d6590aa8afb98a0c73b - - -] [instance: 093c5e4d-1b35-4a57-ba64-446217e32466] Live Migration failure: operation failed: migration of disk sda failed: Input/output error 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
This is a Newton cluster and the LM with block migration works fine with previous version of "openstack-nova-compute-14.0.8-5.el7ost.noarch".

We are requesting that patch (https://review.openstack.org/#/c/568382/) to be considered.

Expected results:


Additional info:

This error matches launchpad bug (https://bugs.launchpad.net/nova/+bug/1770640).

After applying the following patch from upstream manually, the LM with block migration starts to work again,

https://review.openstack.org/#/c/568382/

Comment 1 Anil Dhingra 2019-03-06 13:42:24 UTC
Any progress..


Note You need to log in before you can comment on or make changes to this bug.